Bug#481457: python-gtk2: 2.12.1-2 breaks matplotlib and likely other apps as well

Manuel Metz mmetz at astro.uni-bonn.de
Fri May 16 09:02:20 UTC 2008

Package: python-gtk2
Version: 2.12.1-2
Severity: important

The latest update to 2.12.1-2 wasn't very healthy. This updated breaks
matplotlib and most likely other applications as well.

Starting "ipython -pylab" and trying to type anything fails; "ipython" works fine. Keys only occasionally are recognized - most get lost.
Starting any matplotlib script doesn't show up the plotting window.
Basically, matplotlib is completely broken by this update.

Downgrading to python-gtk2 2.12.1-1 everything works fine again.

-- System Information:
Debian Release: lenny/sid
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages python-gtk2 depends on:
ii  libatk1.0-0                   1.22.0-1   The ATK accessibility toolkit
ii  libc6                         2.7-11     GNU C Library: Shared libraries
ii  libcairo2                     1.6.4-2    The Cairo 2D vector graphics libra
ii  libglib2.0-0                  2.16.3-2   The GLib library of C routines
ii  libgtk2.0-0                   2.12.9-4   The GTK+ graphical user interface 
ii  libpango1.0-0                 1.20.2-2   Layout and rendering of internatio
ii  python                        2.5.2-1    An interactive high-level object-o
ii  python-cairo [python2.5-cairo 1.4.12-1   Python bindings for the Cairo vect
ii  python-gobject [python2.5-gob 2.14.1-4   Python bindings for the GObject li
ii  python-numeric [python2.5-num 24.2-8.2   Numerical (matrix-oriented) Mathem
ii  python-support                0.8.1      automated rebuilding support for P
pn  python2.4-cairo               <none>     (no description available)
pn  python2.4-gobject             <none>     (no description available)
pn  python2.4-numeric             <none>     (no description available)

python-gtk2 recommends no packages.

-- no debconf information

More information about the pkg-gnome-maintainers mailing list